// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import Axios from 'axios'
import ElementUI from 'element-ui';
import VueAxios from 'vue-axios'
import VueAweSwiper from 'vue-awesome-swiper'
import Echarts from 'echarts'
import md5 from 'js-md5';
// 样式引入
import '@/assets/reset.css'
import '@/assets/home.css'
import 'swiper/css/swiper.css'
import 'element-ui/lib/theme-chalk/index.css';
Vue.use(ElementUI,VueAxios, Axios);
Vue.use(VueAweSwiper,Echarts)
Vue.config.productionTip = false
Vue.prototype.$md5 = md5;
Vue.prototype.$echarts = Echarts
/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  components: { App },
  template: '<App/>'
})
