import Vue from 'vue'
import Router from 'vue-router'
import Home from '@/components/Home'
import Index from '@/components/Index'
import UserRepass from '@/components/userJoin/UserRepass'
import UserLogin from '@/components/UserLogin'

Vue.use(Router)
export default new Router({
  mode: 'history',
  base: '/jkgl/',
  // base: '/jkglTest/',
  routes: [
    {
      path: '/',
      name: 'UserLogin',
      component: UserLogin
    },
    {
      path: '/Home',
      name: 'Home',
      component: Home
    },
    {
      path: '/Index',
      name: 'Index',
      component: Index
    },{
      path: '/UserRepass',
      name: 'UserRepass',
      component: UserRepass
    }
  ]
})
