


/**
 * 检查传来的参数是否为空
 * @param val
 * @returns {Boolean}
 */
export function checkIsNull(val) {
  if ("undefined" !== val && undefined !== val && "" !== val && "null" !== val && null !== val) {
    return false;
  } else {
    return true;
  }
}
/**
 * @param {string} str
 * @returns {string}
 */
export function getActiveNum(str) {

  //转化float,后面全是四舍五入
  if (checkIsNull(str) || str == "NaN" || str == "Infinity" || str == "-" || isNaN(str)) {
    return "-";
  } else {
    var num = parseFloat(str);

    if (Math.abs(num) < 0.004) {                 							//处理绝对值小于0.01的
      num = num.toPrecision(1);
    } else if (Math.abs(num) < 0.1) {                 							//处理绝对值小于0.1的
      num = num.toFixed(2);
    } else if ((Math.abs(num) >= 0.1) && (Math.abs(num) <= 0.995)) {    //处理绝对值大于等于0.1小于等于0.995的
      num = num.toPrecision(2);

    } else if (Math.abs(num) >= 999.5) {									//处理绝对值大于等于999.5的
      num = num.toFixed(0);

    } else if(Math.abs(num)<1){
      num =Math.floor(num*100)/100
    }
    else {

      num = num.toPrecision(3);

    }
    return num;
  }
}
