import request from '@/utils/request'
/****
*首页接口
******/
//const webUrl  = 'http://localhost:168/fyglAPP/';
 const webUrl  = 'http://192.168.3.110:8999/diseaseControlManage/';
// const webUrl  = 'http://195.1.3.38:8999/diseaseControlManage/';

//公用接口
export function commonMethod(param) {

    let _wd = JSON.parse(param.wd);
    if(_wd.length>0){
      for(var i=0;i<_wd.length;i++){
        if(_wd[i]){
          //如果是compare=eq，则不需要处理，
          if("YWSJ"==_wd[i].name){
            //如果结束时间没有，取当前年,如果开始时间没有，取年第一个月
            let endTime = _wd[i].endTime ? _wd[i].endTime : (new Date).getFullYear()
            let startTime = _wd[i].startTime ? _wd[i].startTime : (endTime.split("-")[0]+"-01")
            _wd[i].endTime = endTime;
            _wd[i].startTime = startTime;
            _wd[i].compare="between";
          }

        }
      }
      param.wd = JSON.stringify(_wd)
    }


  return request({
    url:webUrl+'api/common/queryTheme',
    method:'post',
    headers:{
     'Content-Type':'application/json; charset=UTF-8',
     "Accept": "*/*",
		 "MyToken":sessionStorage.getItem('token')
    },
    data:JSON.stringify(param)
  })
}

//特殊接口
export function otherMethod(param) {
  return request({
    url:webUrl+'api/common/queryDatadetail',
    method:'post',
    headers:{
     'Content-Type':'application/json; charset=UTF-8',
     "Accept": "*/*",
		 "MyToken":sessionStorage.getItem('token')
    },
    data:JSON.stringify(param)
  })
}
