import request from '@/utils/request'
//登录、修改密码
//const webUrl  = 'http://localhost:168/fyglAPP/';
 const webUrl  = 'http://192.168.3.110:8999/diseaseControlManage/';
// const webUrl  = 'http://195.1.3.38:8999/diseaseControlManage/';
export function login(loginID, loginPas) {
  return request({
    url:webUrl+'api/login/doLogin',
    method:'post',
    headers:{
     'Content-Type':'application/json',
     "Accept": "*/*"
    },
    data:JSON.stringify({
     "uid":loginID,
     "pwd":loginPas
    })
  })
}
//图形码验证
export function getCode(yzm){
  var t =  (new Date).getTime(); //每次点击重新取个随机数
  return request({
    url: 'http://192.168.3.110:8999/diseaseControlManage/api/login/captcha?t='+t+'&code='+yzm,
    method:'post',
    data: {},
    async:false, //同步
  })

}


//修改密码
export function updatePassword(uid,pwdold,pwdnew) {
  return request({
    url:webUrl+'api/login/updatePassWord',
    method:'post',
    headers:{
     'Content-Type':'application/json',
     "Accept": "*/*"
    },
    data:JSON.stringify({
     "uid":uid,
     "pwdold":pwdold,
     "pwdnew":pwdnew
    })
  })
}
